@echo off
rem 
rem This batch file displays some of the capabilities of the various utilities
rem and demonstrates some of the things that can be done, as well as providing
rem a service by providing the help screens from each of the new utilities.
rem
rem To make it easier to determine what lines in this batch file are written
rem using the various programs from the Eissinger Utilities, all of the lines
rem that use these utilities are upper case.  The other lines are all lower
rem case.
rem
rem Here are the characters and the errorlevels passed . . .
rem              C   EL     C   EL     C   EL     C   EL     C   EL
rem              ------     ------     ------     ------     ------
rem              0 = 48     1 = 49     2 = 50     3 = 51     4 = 52
rem              5 = 53     6 = 54     7 = 55     8 = 56     9 = 57
rem              A = 65     B = 66     C = 67     D = 68     E = 69
rem              F = 70     G = 71     H = 72     I = 73     J = 74
rem              K = 75     L = 76     M = 77     N = 78     O = 79
rem              P = 80     Q = 81     R = 82     S = 83     T = 84
rem              U = 85     V = 86     W = 87     X = 88     Y = 89
rem                                    Z = 90
rem
rem 
rem
goto strt
:again
PUTCURS 25
TONE /f1000 /d150
PAUSEC BLUE LIGHTRED /W50
:strt
KURSOR OFF
border red
COLOR BLUE YELLOW
BACKDROP
PUTCURS 2
EKOBOX RED WHITE "Eissinger Utilities 3.0 Help" /F /D /S
PUTCURS 7
EKO eihelp.txt 1 15
TONE /phaser3
PUTCURS 25
KURSOR
GETRESP "Tap the letter for help on the desired utility" 0123456789ABCDEFGHIJKLMNOPQRSTUVX /C
if errorlevel == 88 goto xit
if errorlevel == 86 goto xV
if errorlevel == 85 goto xU
if errorlevel == 84 goto xT
if errorlevel == 83 goto xS
if errorlevel == 82 goto xR
if errorlevel == 81 goto xQ
if errorlevel == 80 goto xP
if errorlevel == 79 goto xO
if errorlevel == 78 goto xN
if errorlevel == 77 goto xM
if errorlevel == 76 goto xL
if errorlevel == 75 goto xK
if errorlevel == 74 goto xJ
if errorlevel == 73 goto xI
if errorlevel == 72 goto xH
if errorlevel == 71 goto xG
if errorlevel == 70 goto xF
if errorlevel == 69 goto xE
if errorlevel == 68 goto xD
if errorlevel == 67 goto xC
if errorlevel == 66 goto xB
if errorlevel == 65 goto xA
if errorlevel == 57 goto x9
if errorlevel == 56 goto x8
if errorlevel == 55 goto x7
if errorlevel == 54 goto x6
if errorlevel == 53 goto x5
if errorlevel == 52 goto x4
if errorlevel == 51 goto x3
if errorlevel == 50 goto x2
if errorlevel == 49 goto x1
if errorlevel == 48 goto x0

:xv
REBOOT ?
goto again

:xu
SED ?
goto again

:xt
HWARE ?
goto again

:xs
TAIL ?
goto again

:xr
HEAD ?
goto again

:xq
CHANGE ?
goto again

:xp
CASE ?
goto again

:xo
TYP ?
goto again

:xn
WAIT ?
goto again

:xm
LOG ?
goto again

:xl
EXEC ?
goto again

:xk
REPEAT ?
goto again

:xj
DELETE ?
goto again

:xi
DELDIR ?
goto again

:xh
KOPY ?
goto again

:xg
TODAY ?
goto again

:xf
NOW ?
goto again

:xe
GETYN ?
goto again

:xd
GETYN ?
goto again

:xc
GETRESP ?
goto again

:xb
TONE ?
goto again

:xa
EKOFLASH ?
goto again

:x9
EKO ?
goto again

:x8
BACKDROP ?
goto again

:x7
PUTCURS ?
goto again

:x6
KURSOR ?
goto again

:x5
CLEAR ?
goto again

:x4
COLOR ?
PUTCURS 25
TONE /f1000 /d150
PAUSEC BLUE LIGHTRED /W50
BORDER ?
goto again

:x3
PASTE ?
goto again

:x2
MELD ?
goto again

:x1
BLDBAT ?
goto again

:x0
EKOBOX ?
goto again

:xit
TONE /F900 /R5 /d75 /p25
GETYN "Are you sure you want to quit?" /C
if errorlevel == 1 goto xout
goto strt

:xout
border blue
COLOR BLUE WHITE
